Bug 89001 - gnome-sesion crashes during startup after upgrading from rh8 to rh9
gnome-sesion crashes during startup after upgrading from rh8 to rh9
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gnome-session (Show other bugs)
9
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
: Triaged
Depends On:
Blocks: CambridgeTarget
  Show dependency treegraph
 
Reported: 2003-04-16 08:14 EDT by Need Real Name
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-10 17:05:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Content of my .gnome2 directory (1.10 KB, application/octet-stream)
2003-04-21 15:43 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2003-04-16 08:14:11 EDT
Description of problem:

I have upgraded my workstation from RH8 to RH9. When I try to start gnome 
session, it restarts X.I have found followin error logs in .xsession-errors:
SESSION_MANAGER=local/anpa003.net.autocom.pl:/tmp/.ICE-unix/1186
Gnome-Message: gnome_execute_async_with_env_fds: returning -1
Gnome-Message: gnome_execute_async_with_env_fds: returning -1
Gnome-Message: gnome_execute_async_with_env_fds: returning -1
The program 'gnome-session' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadLength (poly request too large or internal Xlib length erro'.
  (Details: serial 3937 error_code 16 request_code 155 minor_code 20)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
The application 'magicdev' lost its connection to the display :20.0;
most likely the X server was shut down or you killed/destroyed
the application.

When I try failsafe session and run gnome-panel, metacity and nautilius manualy 
everything works fine.


Version-Release number of selected component (if applicable):


How reproducible:
Everytime

Steps to Reproduce:
1. Upgrade form rh8 to rh9
2. Start gnome session
3.
    
Actual results:


Expected results:


Additional info:
my workstation is:
AMD K6 350MhZ
168 MB RAM
ATI Rage 128 16 MB
Comment 1 Havoc Pennington 2003-04-16 12:54:18 EDT
Can you attach your ~/.gnome2/default.session?
Comment 2 Need Real Name 2003-04-16 16:49:31 EDT
I don't have sucha a file in my home directory.I can send you any other you need.
Comment 3 Havoc Pennington 2003-04-21 15:10:31 EDT
Sorry, ~/.gnome2/session might be the name of it. 

~/.gnome2/*session* ;-)
Comment 4 Need Real Name 2003-04-21 15:43:02 EDT
Created attachment 91204 [details]
Content of my .gnome2 directory
Comment 5 Ray Strode [halfline] 2004-11-10 17:05:19 EST
Hi,

This bug is quite old now.  Given the lack of activity on this report and the
likelihood that this bug has already been fixed, I am going to close it.  If you
encounter the problem discussed in this report with Fedora Core 3 or a recent
version of gnome feel free to reopen.

Thanks

Note You need to log in before you can comment on or make changes to this bug.